Package: org.codehaus.groovy.grails.plugins

## [Java] Class ProfilingGrailsPluginManager

- org.codehaus.groovy.grails.plugins.ProfilingGrailsPluginManager

- A GrailsPluginManager implementation that outputs profile data to a logger.

  Authors:
    Graeme Rocher
  Since:
    2.0

- - Inherited fields
    Fields inherited from class | Fields
    --- | ---
    `class DefaultGrailsPluginManager` | `COMMON_CLASSES`
    `class AbstractGrailsPluginManager` | `CONFIG_FILE, application, applicationContext, classNameToPluginMap, failedPlugins, initialised, loadCorePlugins, pluginClasses, pluginList, pluginResources, plugins, shutdown`

  - ### Constructor Summary

    Constructors
    Constructor and description
    `ProfilingGrailsPluginManager (java.lang.Class<?>[] plugins, GrailsApplication application)`
    `ProfilingGrailsPluginManager (org.springframework.core.io.Resource[] pluginFiles, GrailsApplication application)`
    `ProfilingGrailsPluginManager (java.lang.String resourcePath, GrailsApplication application)`
    `ProfilingGrailsPluginManager (java.lang.String[] pluginResources, GrailsApplication application)`

  - ### Methods Summary

    Methods
    Type | Name and description
    --- | ---
    `void` | `doArtefactConfiguration()`
    `void` | `doDynamicMethods()`
    `void` | `doPostProcessing(org.springframework.context.ApplicationContext ctx)`
    `void` | `doRuntimeConfiguration(RuntimeSpringConfiguration springConfig)`
    `void` | `loadPlugins()`

  - ### Inherited Methods Summary

    Inherited Methods
    Methods inherited from class | Name
    --- | ---
    `class DefaultGrailsPluginManager` | `canRegisterPlugin, checkForChanges, createGrailsPlugin, createGrailsPlugin, doDynamicMethods, doWebDescriptor, doWebDescriptor, evictPlugin, getPluginObservers, getUserPlugins, informObservers, loadPlugins, refreshPlugin, reloadPlugin, resolveLoadDependencies, setApplication, setApplicationContext, setParentApplicationContext, sortPlugins, startPluginChangeScanner, stopPluginChangeScanner`
    `class AbstractGrailsPluginManager` | `checkInitialised, doArtefactConfiguration, doDynamicMethods, doPostProcessing, doRuntimeConfiguration, doRuntimeConfiguration, getAllPlugins, getFailedLoadPlugins, getFailedPlugin, getGrailsPlugin, getGrailsPlugin, getGrailsPluginForClassName, getPluginForClass, getPluginForInstance, getPluginPath, getPluginPathForClass, getPluginPathForInstance, getPluginResources, getPluginViewsPathForClass, getPluginViewsPathForInstance, getTypeFilters, hasGrailsPlugin, informOfClassChange, informOfClassChange, informOfFileChange, informPluginsOfConfigChange, isInitialised, isShutdown, registerProvidedArtefacts, setApplication, setApplicationContext, setLoadCorePlugins, shutdown, supportsCurrentBuildScope`
    `class java.lang.Object` | `java.lang.Object#wait(long, int), java.lang.Object#wait(long), java.lang.Object#wait(), java.lang.Object#equals(java.lang.Object), java.lang.Object#toString(), java.lang.Object#hashCode(), java.lang.Object#getClass(), java.lang.Object#notify(), java.lang.Object#notifyAll()`

- - ### Constructor Detail

    - #### public ProfilingGrailsPluginManager(java.lang.Class<?>[] plugins, GrailsApplication application)

    - #### public ProfilingGrailsPluginManager(org.springframework.core.io.Resource[] pluginFiles, GrailsApplication application)

    - #### public ProfilingGrailsPluginManager(java.lang.String resourcePath, GrailsApplication application)

    - #### public ProfilingGrailsPluginManager(java.lang.String[] pluginResources, GrailsApplication application)

  - ### Method Detail

    - #### @java.lang.Override public void doArtefactConfiguration()

    - #### @java.lang.Override public void doDynamicMethods()

    - #### @java.lang.Override public void doPostProcessing(org.springframework.context.ApplicationContext ctx)

    - #### @java.lang.Override public void doRuntimeConfiguration(RuntimeSpringConfiguration springConfig)

    - #### @java.lang.Override public void loadPlugins()